/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db;

import java.util.List;

/**
 * Abstract class implements methods related to database manager
 */
public abstract class DBManagerDB extends SuperDB {
	
	/**
	 * Connect database 
	 */
	public void connectDB() throws Exception {
		super.connectDB(DB_NAME_BBSYNC);
	}	
	
	/**
	 * List database groups
	 * @return database groups
	 * @throws Exception
	 */			
	public abstract List listDBGroups() throws Exception;
}


 