/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db.mariadb;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.util.List;
import java.util.Vector;

import com.fourelementscapital.db.DBManagerDB;
import com.fourelementscapital.db.GeneralUtilDB;

/**
 * DBManager MariaDB DAO implementation
 */	
public class DBManagerDBMariaDB extends DBManagerDB{


	/**
	 * {@inheritDoc}
	 */	
	public List listDBGroups() throws Exception {
		PreparedStatement ps=this.connection().prepareStatement("Select * from dbman_group ORDER BY disp_order");
		ResultSet rs=ps.executeQuery();
		Vector rtn=new Vector();
		while(rs.next()){			
			//rtn.add(new BasicRowProcessor().toMap(rs));
			rtn.add(GeneralUtilDB.resultsetToMap(rs));
			
		}
		return rtn;
	}

}
