/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db.vo;

import java.util.Date;

/**
 * Contract POJO (Bean)
 */
public class Contract {
	
	private String name;
	private double value;
	private Date cdate;
	
	/**
	 * Get name
	 * @return name
	 */		
	public String getName() {
		return name;
	}
	
	/**
	 * Set name
	 * @param name name
	 */		
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	 * Get value
	 * @return value
	 */		
	public double getValue() {
		return value;
	}
	
	/**
	 * Set value
	 * @param value value
	 */		
	public void setValue(double value) {
		this.value = value;
	}
	
	/**
	 * Get cdate
	 * @return cdate
	 */		
	public Date getCdate() {
		return cdate;
	}
	
	/**
	 * Set cdate
	 * @param cdate cdate
	 */		
	public void setCdate(Date cdate) {
		this.cdate = cdate;
	}
	
	/**
	 * Overriding toString() method
	 * @return string
	 */	
	public String toString(){
		return "Name:"+this.name+", CDate:"+this.cdate+", Value:"+this.value;
	}
	

}
