/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db.vo;

import java.util.Date;

/**
 * Peer package POJO (Bean)
 */
public class PeerPackage {

	private String peername;
	private String packagename;
	private String version;
	private Date lastchecked;
	
	/**
	 * Get peer name
	 * @return peer name
	 */		
	public String getPeername() {
		return peername;
	}
	
	/**
	 * Set peer name
	 * @param peername peer name
	 */		
	public void setPeername(String peername) {
		this.peername = peername;
	}
	
	/**
	 * Get package name
	 * @return package name
	 */		
	public String getPackagename() {
		return packagename;
	}
	
	/**
	 * Set package name
	 * @param packagename package name
	 */		
	public void setPackagename(String packagename) {
		this.packagename = packagename;
	}
	
	/**
	 * Get version
	 * @return version
	 */		
	public String getVersion() {
		return version;
	}
	
	/**
	 * Set version
	 * @param version version
	 */		
	public void setVersion(String version) {
		this.version = version;
	}
	
	/**
	 * Get last checked
	 * @return last checked
	 */		
	public Date getLastchecked() {
		return lastchecked;
	}
	
	/**
	 * Set last checked
	 * @param lastchecked last checked
	 */		
	public void setLastchecked(Date lastchecked) {
		this.lastchecked = lastchecked;
	}
	
	
}
