/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db.vo;

/**
 * Trigger POJO (Bean)
 */
public class SchedulerTrigger {

	private String exp_second;
	private String exp_minute;
	private String exp_hour;
	private String exp_week;
	private String exp_day;
	private String exp_month;
	private String inject_code;
	
	/**
	 * Get inject code
	 * @return inject code
	 */	
	public String getInject_code() {
		return inject_code;
	}
	
	/**
	 * Set inject code
	 * @param inject_code inject code
	 */		
	public void setInject_code(String inject_code) {
		this.inject_code = inject_code;
	}
	
	/**
	 * Get exp second
	 * @return exp second
	 */	
	public String getExp_second() {
		return exp_second;
	}
	
	/**
	 * Set exp second
	 * @param exp_second exp second
	 */		
	public void setExp_second(String exp_second) {
		this.exp_second = exp_second;
	}
	
	/**
	 * Get exp minute
	 * @return exp minute
	 */	
	public String getExp_minute() {
		return exp_minute;
	}
	
	/**
	 * Set exp minute
	 * @param exp_minute exp minute
	 */		
	public void setExp_minute(String exp_minute) {
		this.exp_minute = exp_minute;
	}
	
	/**
	 * Get exp hour
	 * @return exp hour
	 */	
	public String getExp_hour() {
		return exp_hour;
	}
	
	/**
	 * Set exp hour
	 * @param exp_hour exp hour
	 */		
	public void setExp_hour(String exp_hour) {
		this.exp_hour = exp_hour;
	}
	
	/**
	 * Get exp week
	 * @return exp week
	 */	
	public String getExp_week() {
		return exp_week;
	}
	
	/**
	 * Set exp week
	 * @param exp_week exp week
	 */		
	public void setExp_week(String exp_week) {
		this.exp_week = exp_week;
	}
	
	/**
	 * Get exp day
	 * @return exp day
	 */	
	public String getExp_day() {
		return exp_day;
	}
	
	/**
	 * Set exp day
	 * @param exp_day exp day
	 */		
	public void setExp_day(String exp_day) {
		this.exp_day = exp_day;
	}
	
	/**
	 * Get exp month
	 * @return exp month
	 */	
	public String getExp_month() {
		return exp_month;
	}
	
	/**
	 * Set exp month
	 * @param exp_month exp month
	 */		
	public void setExp_month(String exp_month) {
		this.exp_month = exp_month;
	}
	
	
}
