/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import java.util.Vector;
import javax.swing.JOptionPane;
import junit.framework.TestCase;

/**
 * lib-db unit test
 */
public class LibDbTest extends TestCase {
	
	/**
	 * Test BBSyncDB.listAll()
	 */	 	
    public void testBBSyncDBListAll() throws Exception
    {	
    	// Remove the comment tag to test. The code are commented out to prevent accessing db when installing this lib (edit properties file first) :
    	/*
        String properties_path = Config.getString("db_config_path");
        File file =new File(properties_path);
        if ( !file.exists() ) {
            JOptionPane.showMessageDialog(null, "Please set the config_db.properties file first");
            assertTrue(false);
            //System.exit(0);
        }
        else{
    	boolean isPass = false;
    	BBSyncDB db = BBSyncDB.getBBSyncDB();    	
    	try {
	    	db.connectDB();
	    	Vector v = db.listAll();
	    	if (v != null) isPass = true; // check null / not. can contains no data.
    	}
    	catch (Exception e) {
    		e.printStackTrace();
    	}
    	finally {
    		db.closeDB();		
    	}
        JOptionPane.showMessageDialog(null, "Successfully connect to BBSyncDB");
        assertTrue( isPass );
        }
        */
    	assertTrue(true);
    }	

	/**
	 * Test ConstructQueryDB.constructDateInputQuery()
	 */	 	
    public void testConstructQueryDBConstructDateInputQuery() throws Exception
    {	
    	// Remove the comment tag to test. The code are commented out to prevent accessing db when installing this lib (edit properties file first) :
    	/*   	
    	boolean isPass = false;
    	ConstructQueryDB db = ConstructQueryDB.getConstructQueryDB();    	
    	try {
    		
    		Map<String, String> m = new HashMap<String, String>();
    		m.put("filtertype", "number");
    		m.put("filtervalue", "ndays");
    		m.put("number", "1");
    		m.put("cdatefield", "date");
    		String result = db.constructDateInputQuery(m);
	    	if (result != null && !"".equals(result)) isPass = true;
            JOptionPane.showMessageDialog(null,"Construct Query MariaDB result: "+ result);
    	}
    	catch (Exception e) {
    		e.printStackTrace();
    	}
    	finally {
    		db.closeDB();		    		
    	}
        assertTrue( isPass );	
        */
    	assertTrue(true);        
    }
      
    
	/**
	 * Test FlexiFieldDB.getFlexiFields()
	 */	 	
    public void testFlexiFieldDBGetFlexiFields() throws Exception
    {	
    	// Remove the comment tag to test. The code are commented out to prevent accessing db when installing this lib (edit properties file first) :
    	/*   	
    	boolean isPass = false;
    	FlexiFieldDB db = FlexiFieldDB.getFlexiFieldDB();    	
    	try {
	    	db.connectDB();
	    	List l = db.getFlexiFields("tablename");
	    	if (l != null) isPass = true; // check null / not. can contains no data.
            JOptionPane.showMessageDialog(null,"FlexiFields contain data");
    	}
    	catch (Exception e) {
    		e.printStackTrace();
    	}
    	finally {
    		db.closeDB();		
    	}
        assertTrue( isPass );	
        */
    	assertTrue(true);        
    }
    
	/**
	 * Test GeneralUtilDB.resultsetToMap()
	 */	 	
    public void testGeneralUtilDBResultsetToMap() throws Exception
    {	
    	// Remove the comment tag to test. The code are commented out to prevent accessing db when installing this lib (edit properties file first) :
    	/*    	
    	boolean isPass = false;
    	GeneralUtilDB g = new GeneralUtilDB();    	
    	try {
    		Map m = g.resultsetToMap(null);
    	}
    	catch (Exception e) {
    		isPass = true; // produce error, input resultset can not be null.
    	}
    	finally {
    	}
        assertTrue( isPass );	
        */
    	assertTrue(true);        
    }    
    
	/**
	 * Test IExecDB.listGroups()
	 */	 	
    public void testIExecDBListGroups() throws Exception
    {	
    	// Remove the comment tag to test. The code are commented out to prevent accessing db when installing this lib (edit properties file first) :
    	/*   	
    	boolean isPass = false;
    	IExecDB db = IExecDB.getIExcecDB();   	
    	try {
	    	db.connectDB();
	    	List l = db.listGroups();
	    	if (l != null) isPass = true; // check null / not. can contains no data.
            JOptionPane.showMessageDialog(null, "iExec ie_group is not null");
    	}
    	catch (Exception e) {
    		e.printStackTrace();
    	}
    	finally {
    		db.closeDB();		
    	}
        assertTrue( isPass );	
        */
    	assertTrue(true);        
    }    
    
	/**
	 * Test InfrastructureDB.getThemes4Users()
	 */	 	
    public void testInfrastructureDBGetThemes4Users() throws Exception
    {
    	// Remove the comment tag to test. The code are commented out to prevent accessing db when installing this lib (edit properties file first) :
    	/*   	
    	boolean isPass = false;
    	InfrastructureDB db = InfrastructureDB.getInfrastructureDB();
    	try {
    		db.connectDB();
    		Map m = (Map) db.getThemes4Users("Intan");
	    	if ("B".equals(m.get("it"))) isPass = true;
    	}
    	catch (Exception e) {
    		e.printStackTrace();
    	}
    	finally {
    		db.closeDB();		
    	}
        JOptionPane.showMessageDialog(null, "InfrastructureDBGetThemes4Users success");
        assertTrue( isPass );	 
        */
    	assertTrue(true);        
    }        
    
	/**
	 * Test ReferenceDB.getFieldMapping()
	 */	 	
    public void testReferenceDBGetFieldMapping() throws Exception
    {	
    	// Remove the comment tag to test. The code are commented out to prevent accessing db when installing this lib (edit properties file first) :
    	/*   	
    	boolean isPass = false;
    	ReferenceDB db = ReferenceDB.getReferenceDB();    	
    	try {
	    	db.connectDB();
	    	Vector v = db.getFieldMapping();
	    	if (v != null) isPass = true; // check null / not. can contains no data.
            JOptionPane.showMessageDialog(null, "static_field_mapping contain data");
    	}
    	catch (Exception e) {
    		e.printStackTrace();
    	}
    	finally {
    		db.closeDB();		
    	}
        assertTrue( isPass );
        */
    	assertTrue(true);        
    }    
    
	/**
	 * Test RFunctionDB.listOfFolders()
	 */	 	
    public void testRFunctionDBListOfFolders() throws Exception
    {
    	// Remove the comment tag to test. The code are commented out to prevent accessing db when installing this lib (edit properties file first) :
    	/*   	
    	boolean isPass = false;
    	RFunctionDB db = RFunctionDB.getRFunctionDB();    	
    	try {
	    	db.connectDB();
	    	List<Map> folders = db.listOfFolders();
//			for(Map fold: folders){
//				System.out.println("folder name : " + fold.get("folder_name"));
//			}	    	
	    	if (folders.size() > 0) 
                for(Map fold: folders){
                    //System.out.println("folder name : " + fold.get("folder_name"));
                    JOptionPane.showMessageDialog(null, "RFunction folder name : " + fold.get("folder_name"));
                }

                isPass = true;
    	}
    	catch (Exception e) {
    		e.printStackTrace();
    	}
    	finally {
    		db.closeDB();		
    	}
        assertTrue( isPass );	 
        */
    	assertTrue(true);        
    }    	   
    
	/**
	 * Test SchedulerDB.getGroupOrder()
	 */	 	
    public void testSchedulerDBGetGroupOrder() throws Exception
    {
    	// Remove the comment tag to test. The code are commented out to prevent accessing db when installing this lib (edit properties file first) :
    	/*   	
    	boolean isPass = false;
    	SchedulerDB db = SchedulerDB.getSchedulerDB();    	
    	try {
	    	db.connectDB();
	    	Vector v = db.getGroupOrder();
	    	if (v.size() > 0) isPass = true;
            JOptionPane.showMessageDialog(null, "scheduler_group is not null");
    	}
    	catch (Exception e) {
    		e.printStackTrace();
    	}
    	finally {
    		db.closeDB();		
    	}
        assertTrue( isPass );	 
        */
    	assertTrue(true);        
    }	   
    
	/**
	 * Test DBManager.GetDatabase()
	 */	 	
    public void testDBManagerGetDatabase() throws Exception
    {    
    	// Remove the comment tag to test. The code are commented out to prevent accessing db when installing this lib (edit properties file first) :
    	/*   	
    	boolean isPass = false;
    	DBManager dbm = new DBManager("infrastructure");
    	dbm.connect();
    	String tableName = "tblTeamOrganization";
    	ArrayList<String> selectedFields = new ArrayList<String>();
    	selectedFields.add("Intan");
    	ResultSet rs = dbm.getDatabase(tableName, selectedFields, null, null);
    	ArrayList<String> al = new ArrayList<String>();
		while (rs.next()) {
			al.add(rs.getString(1));
		}
		if (al.size() > 0) isPass = true;
        JOptionPane.showMessageDialog(null, "DBManager test");
    	dbm.closeConnection();    	
    	assertTrue(isPass);   
        */
    	assertTrue(true);      	
    }
    
}

 
