/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db.vo;

/**
 * Trigger POJO (Bean)
 */
public class BBSyncTrigger {
	
	public static final int HOURLY=1;
	public static final int WEEKLY=2;
	public static final int MONTHLY=3;
	
	private int synctype;
	
	private String time;
	private String days;
	private int day;
	private Integer week;
	private Integer dailyhour;
	
	
	/**
	 * Get daily hour
	 * @return daily hour
	 */		 
	public Integer getDailyhour() {
		return dailyhour;
	}
	
	/**
	 * Set daily hour
	 * @param dailyhour daily hour
	 */		
	public void setDailyhour(Integer dailyhour) {
		this.dailyhour = dailyhour;
	}
	
	/**
	 * Get week
	 * @return week
	 */		
	public Integer getWeek() {
		return week;
	}
	
	/**
	 * Set week
	 * @param week week
	 */		
	public void setWeek(Integer week) {
		this.week = week;
	}
 
	/**
	 * Get days
	 * @return days
	 */		
	public String getDays() {
		return days;
	}
	
	/**
	 * Set days
	 * @param days days
	 */			
	public void setDays(String days) {
		this.days = days;
	}
	
	/**
	 * Get sync type
	 * @return sync type
	 */		
	public int getSynctype() {
		return synctype;
	}
	
	/**
	 * Set sync type
	 * @param synctype sync type
	 */			
	public void setSynctype(int synctype) {
		this.synctype = synctype;
	}
	
	/**
	 * Get time
	 * @return time
	 */		
	public String getTime() {
		return time;
	}
	
	/**
	 * Set time
	 * @param time time
	 */			
	public void setTime(String time) {
		this.time = time;
	}
 
	/**
	 * Get day
	 * @return day
	 */		
	public int getDay() {
		return day;
	}
	
	/**
	 * Set day
	 * @param day day
	 */			
	public void setDay(int day) {
		this.day = day;
	}
	

}
